#!/usr/local/bin/perl -w

=head1 NAME

00utils_p4.t - testing of VCP::Utils::p4

=cut

use strict ;

use Carp ;
use Test ;
use VCP::Utils::p4;

my @tests = (

sub { ok VCP::Utils::p4::underscorify_name( "a"  ), "a"   },
sub { ok VCP::Utils::p4::underscorify_name( "ab" ), "ab"  },
sub { ok VCP::Utils::p4::underscorify_name( "a1" ), "a1"  },
sub { ok VCP::Utils::p4::underscorify_name( "a(" ), "a("  },
sub { ok VCP::Utils::p4::underscorify_name( "a/" ), "a/"  },

sub { ok VCP::Utils::p4::underscorify_name( "a b"), "a_20_b"   },
sub { ok VCP::Utils::p4::underscorify_name( "a#b"), "a_23_b"   },
sub { ok VCP::Utils::p4::underscorify_name( "a\@b"), "a_40_b"   },
sub { ok VCP::Utils::p4::underscorify_name( " a" ), "_20_a" },
) ;

plan tests => scalar( @tests ) ;

$_->() for @tests ;
